Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# UnionBoundingVolume Class Reference

This special bounding volume is the union of all of its constituent bounding volumes. More...

Inheritance diagram for UnionBoundingVolume:

List of all members.

## Public Member Functions
| UnionBoundingVolume ()
| Constructs an empty union.
| addComponent (GeometricBoundingVolume const component)
| Adds a new component to the volume.
| clearComponents ()
| Removes all components from the volume.
| filterIntersection (BoundingVolume const volume)
| Removes from the union any components that have no intersection with the indicated volume.
GeometricBoundingVolume const | getComponent (int n)
| Returns the nth component in the union.
list | getComponents ()
int | getNumComponents ()
| Returns the number of components in the union.
| operator new (unsigned int size)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

This special bounding volume is the union of all of its constituent bounding volumes.

A point is defined to be within a UnionBoundingVolume if it is within any one or more of its component bounding volumes.

## Constructor & Destructor Documentation

UnionBoundingVolume | ( |  | ) |

Constructs an empty union.

## Member Function Documentation

addComponent | ( | GeometricBoundingVolume const | component | ) |

Adds a new component to the volume.

This does not necessarily increase the total number of components by one, and you may or may not be able to find this component in the volume by a subsequent call to get_component(); certain optimizations may prevent the component from being added, or have other unexpected effects on the total set of components.

clearComponents | ( |  | ) |

Removes all components from the volume.

filterIntersection | ( | BoundingVolume const | volume | ) |

Removes from the union any components that have no intersection with the indicated volume.

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from GeometricBoundingVolume.

GeometricBoundingVolume const getComponent | ( | int | n | ) |

Returns the nth component in the union.

list getComponents | ( |  | ) |

int getNumComponents | ( |  | ) |

Returns the number of components in the union.

operator new | ( | unsigned int | size | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties